> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Text Topics Sentiment Stats



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/reports/{id}/text_topics/sentiment_stats/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/reports/{id}/text_topics/sentiment_stats/:
    get:
      tags:
        - Reports
      summary: Text Topics Sentiment Stats
      operationId: reports_text_topics_sentiment_stats_retrieve
      parameters:
        - in: query
          name: attitude_names
          schema:
            type: array
            items:
              type: string
          description: List of attitude names to filter by. Case-insensitive.
        - in: query
          name: configuration_id
          schema:
            type: string
            format: uuid
          description: >-
            Optional configuration id to retrieve. If not provided, the primary
            configuration will be used.
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this report.
          required: true
      responses:
        '200':
          description: No response body
      security:
        - tokenAuth: []
components:
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````